1

I'm trying to install Teamviewer on my raspberry Pi but no matter which package I choose it always says: package architecture (whichever one I chose) does not match system (armhf) Which package should I be using?

  • I think there's no package for your hardware architecture. In that case the only solution is compiling from source but Teamviewer is closed source so... You need to find a different software. – GabrielaGarcia Oct 19 '18 at 17:06
  • @GabrielaGarcia It probably took you more time to write that comment than it would have taken to go to the teamviewer website and see that there is a Pi version. Just saying... – Keltari Oct 19 '18 at 18:17
  • @Keltari lol... – Mark Deven Oct 19 '18 at 18:18
  • OK, now I'm curious. Last I knew, Teamviewer for Linux bundled a version of Wine and was still mostly a Windows application, just designed to run properly in Wine. That obviously won't work on a Pi (unless they got really crazy and also bundled a copy of QEMU's x86 userspace emulation), so they must have finally gotten around to writing some native Linux code. – Austin Hemmelgarn Oct 19 '18 at 18:56
  • I got it to work well – Mark Deven Oct 19 '18 at 19:54
1

This version is for the Raspberry Pi https://pages.teamviewer.com/published/raspberrypi/

Also, here is a tutorial video

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.